       subroutine proj_info(cgrid,da8,alat18,elon18,elonv8,alatan8)

       implicit none
       
       character(60) cgrid
       include 'param.incl'
       
       real(8) da8,alat18,elon18,elonv8,alatan8

       if (trim(cgrid) == 'conus') then
         alat18=alat1_conus
         elon18=elon1_conus
         da8=da_conus
         elonv8=elonv_conus
         alatan8=alatan_conus

        elseif (trim(cgrid) == 'alaska') then 
         alat18=alat1_alaska
         elon18=elon1_alaska
         da8=da_alaska
         elonv8=elonv_alaska
         alatan8=alatan_alaska

        elseif (trim(cgrid) == 'hawaii') then 
         alat18=alat1_hawaii
         elon18=elon1_hawaii
         da8=da_hawaii
         elonv8=9999._8
         alatan8=alad_hawaii

        elseif (trim(cgrid) == 'prico') then 
         alat18=alat1_prico
         elon18=elon1_prico
         da8=da_prico
         elonv8=9999._8
         alatan8=alad_prico

        elseif (trim(cgrid) == 'guam') then 
         alat18=alat1_guam
         elon18=elon1_guam
         da8=da_guam
         elonv8=9999._8
         alatan8=alad_guam

       elseif (trim(cgrid) == 'cohres') then
         alat18=alat1_cohres
         elon18=elon1_cohres
         da8=da_cohres
         elonv8=elonv_cohres
         alatan8=alatan_cohres

        elseif (trim(cgrid) == 'akhres') then
         alat18=alat1_akhres
         elon18=elon1_akhres
         da8=da_akhres
         elonv8=elonv_akhres
         alatan8=alatan_akhres

        elseif (trim(cgrid) == 'hrrr') then
         alat18=alat1_hrrr
         elon18=elon1_hrrr
         da8=da_hrrr
         elonv8=elonv_hrrr
         alatan8=alatan_hrrr

        elseif (trim(cgrid) == 'dtc') then
         alat18=alat1_dtc
         elon18=elon1_dtc
         da8=da_dtc
         elonv8=elonv_dtc
         alatan8=alatan_dtc

        elseif (trim(cgrid) == 'juneau') then
         alat18=alat1_juneau
         elon18=elon1_juneau
         da8=da_juneau
         elonv8=elonv_juneau
         alatan8=alatan_juneau

       elseif (trim(cgrid) == 'cohresext') then
         alat18=alat1_cohresext
         elon18=elon1_cohresext
         da8=da_cohresext
         elonv8=elonv_cohresext
         alatan8=alatan_cohresext

        else
           print*,'in proj_info: unknown grid ',cgrid,'...aborting'
           call abort
        endif

        return
        end


